TYPO3-EXT-SA-2019-018: Remote Code Execution in extension "freeCap CAPTCHA" (sr_freecap)

  • Release Date: October 15, 2019
  • Component Type: Third party extension. This extension is not a part of the TYPO3 default installation.
  • Vulnerability Type: Remote Code Execution
  • Affected Versions: 2.4.5 and below, 2.5.2 and below
  • Severity: Critical
  • Suggested CVSS v3.0: AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H/E:F/RL:O/RC:X
  • CVE: CVE-2019-16699

Problem Description

The extension fails to sanitize user input which allows to execute arbitrary Extbase actions resulting in Remote Code Execution.

Solution

Updated versions 2.4.6 and 2.5.3 are available from the TYPO3 extension manager and at

https://extensions.typo3.org/extension/download/sr_freecap/2.4.6/zip/

https://extensions.typo3.org/extension/download/sr_freecap/2.5.3/zip/

Users of the extension are advised to update the extension as soon as possible.

Note: If you use composer and the fixed version of the extension is not available on packagist, you can install the package from the TYPO3 Extension Composer Repository (e.g. composer require typo3-ter/sr-freecap)

Credits

Credits go to Kai Ullrich, Code White GmbH who discovered and reported the vulnerability.

General Advice

Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list.

Zurück